DataSourceDefinition (Common Annotations 1.3 API Documentation - Apache Tomcat 9.0.36)

javax.annotation.sql

## Annotation Type DataSourceDefinition

-     @Target(value=TYPE)
       @Retention(value=RUNTIME)
      public @interface DataSourceDefinition

  Since:
    Common Annotations 1.1

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `java.lang.String` | `className`
    `java.lang.String` | `name`

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `java.lang.String` | `databaseName`
    `java.lang.String` | `description`
    `int` | `initialPoolSize`
    `int` | `isolationLevel`
    `int` | `loginTimeout`
    `int` | `maxIdleTime`
    `int` | `maxPoolSize`
    `int` | `maxStatements`
    `int` | `minPoolSize`
    `java.lang.String` | `password`
    `int` | `portNumber`
    `java.lang.String[]` | `properties`
    `java.lang.String` | `serverName`
    `boolean` | `transactional`
    `java.lang.String` | `url`
    `java.lang.String` | `user`

- - ### Element Detail

    - #### className

          public abstract java.lang.String className

  - - #### name

          public abstract java.lang.String name

  - - #### description

          public abstract java.lang.String description

      Default:
        ""

  - - #### url

          public abstract java.lang.String url

      Default:
        ""

  - - #### user

          public abstract java.lang.String user

      Default:
        ""

  - - #### password

          public abstract java.lang.String password

      Default:
        ""

  - - #### databaseName

          public abstract java.lang.String databaseName

      Default:
        ""

  - - #### portNumber

          public abstract int portNumber

      Default:
        -1

  - - #### serverName

          public abstract java.lang.String serverName

      Default:
        "localhost"

  - - #### isolationLevel

          public abstract int isolationLevel

      Default:
        -1

  - - #### transactional

          public abstract boolean transactional

      Default:
        true

  - - #### initialPoolSize

          public abstract int initialPoolSize

      Default:
        -1

  - - #### maxPoolSize

          public abstract int maxPoolSize

      Default:
        -1

  - - #### minPoolSize

          public abstract int minPoolSize

      Default:
        -1

  - - #### maxIdleTime

          public abstract int maxIdleTime

      Default:
        -1

  - - #### maxStatements

          public abstract int maxStatements

      Default:
        -1

  - - #### properties

          public abstract java.lang.String[] properties

      Default:
        {}

  - - #### loginTimeout

          public abstract int loginTimeout

      Default:
        0

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.